> For the complete documentation index, see [llms.txt](https://docs.0resmon.org/0resmon/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.0resmon.org/0resmon/0resmon-1/bp-resources/bp-clothingv4/config-settings/config_items.lua-settings.md).

# Char Create Config

Here you can adjust the base setting

```lua
Config.framework = "ESX" ---- QBCORE
```

This setting is only valid for esx multichar users

```lua
Config.haveMultichar = true
```

Here you can set 5 different skin systems.

```lua
Config.skinstyle = "esx_skin" --- "esx_skin", "qb-clothing" , "ownsystem" , "illenium-appearance", "fivem-appearance"
```

* esx\_skin = > For esx, it registers to users > skin table and esx\_skin works with skinchanger.
* qb-clothing = > Saves to the playerskin table for qbcore and works with qb-clothing.
* ownsystem = > Saves to the playerallclothing folder in the script.
* illenium-appearance = > makes extra translations and saves for illenium.
* fivem-appearance = > makes extra translations and saves for fap.

You can use auto or playerload for automatic work.

```lua
Config.control = "auto" --- auto or playerload
```

With this setting, the coordinate of the place where the player will create the character is set.

```lua
Config.Spawn = vector4(402.89, -996.87, -99.0, 173.97)
```

After creating the character, you can write where the player should spawn.

<pre class="language-lua"><code class="lang-lua"><strong>Config.EnterSpawn = vector4(402.89, -996.87, -99.0, 173.97)
</strong></code></pre>

This function is a setting you can add for the last spawn.

```lua
Characterspawn = function(ped)
    FreezeEntityPosition(ped, false)
    SetPedAoBlobRendering(ped, false)
    SetEntityAlpha(ped, 255)
    SetEntityCoords(ped, Config.EnterSpawn.x, Config.EnterSpawn.y, Config.EnterSpawn.z)
    SetEntityHeading(ped, Config.EnterSpawn.h)
end
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/bp-resources/bp-clothingv4/config-settings/config_items.lua-settings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
